#include<bits/stdc++.h>
using namespace std;
int main()
{
    long long p,q,r,n1,n2,p1,q1,r1,c,a,b,i;
    cin >> p >> q >> r  >> n1 >> n2;
     c=0;
    for(i=n1;i<=n2;i++)
    {
        a=ceil(i*1.0/p)+ceil(i*1.0/q)+ceil(i*1.0/r)-i;
        if(a<=0) c++;

    }

    cout << c;
}